
Namespace DGZfP.EventPublisher
    Public Module Definition
        Public Const PathOfModule As String = "/DesktopModules/EventPublisher/"


        Public Class Setting
            Public Const SourceProvider As String = "EventPublisher_SourceProvider"
            Public Const GoogleAccount As String = "EventPublisher_GoogleAccount"
            Public Const GooglePassWord As String = "EventPublisher_GooglePassword"
            Public Const GoogleCalendarID As String = "EventPublisher_GoogleCalendarID"
            Public Const GoogleHTML As String = "EventPublisher_GoogleHTML"

            Public Const ContentType As String = "EventPublisher_ContentType"
            Public Const RenderTo As String = "EventPublisher_RenderTo"
            Public Const IndexRun As String = "EventPublisher_IndexRun"
            Public Const LastIndexRun As String = "EventPublisher_LastIndexRun"
            Public Const EnableParam As String = "EventPublisher_EnableParam"
            Public Const EnableValue As String = "EventPublisher_EnableValue"
            Public Const UrlEncoding As String = "EventPublisher_UrlEncoding"
            Public Const SQLConnectionString As String = "EventPublisher_SQLConnectionString"
            Public Const SQLQueryString As String = "EventPublisher_SQLQueryString"
            Public Const SqlDataProvider As String = "EventPublisher_SQLDataProvider"

        End Class

        Public Function CStrN(ByVal source As String) As String
            Return CStrN(source, "")
        End Function
        Public Function CStrN(ByVal source As String, ByVal alternative As String) As String
            If String.IsNullOrEmpty(source) Then
                Return alternative
            Else
                Return source
            End If
        End Function
    End Module


End Namespace


