
Imports System.IO
Imports System.Xml
Imports System.Net
Imports System.Web
Imports DotNetNuke
Imports DotNetNuke.Entities.Modules
Imports DotNetNuke.Entities.Modules.Actions
Imports DGZfP.EventPublisher

Namespace DGZfP.EventPublisher

    '----------------------------------------------------------------
    Partial Public Class [Default]
        Inherits DotNetNuke.Entities.Modules.PortalModuleBase
        Implements IActionable


        Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
            Dim html As String = Settings(Setting.GoogleHTML)
            If Not String.IsNullOrEmpty(html) Then Me.Controls.Add(New LiteralControl(html))
            MyBase.OnLoad(e)
        End Sub



        Public ReadOnly Property ModuleActions() As DotNetNuke.Entities.Modules.Actions.ModuleActionCollection Implements DotNetNuke.Entities.Modules.IActionable.ModuleActions

            Get
                Dim Actions As New ModuleActionCollection
                Try

                    Actions.Add(GetNextActionID, _
                                      Localization.GetString(ModuleActionType.ContentOptions, LocalResourceFile), _
                                      ModuleActionType.ContentOptions, "", ResolveUrl("~/images/action_settings.gif"), EditUrl("Manage"), False, _
                                      SecurityAccessLevel.Edit, True, False)

                Catch ex As Exception
                    LogException(ex)
                End Try
                Return Actions
            End Get
        End Property

    End Class

End Namespace

