﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="Settings.ascx.vb" Inherits="DGZfP.EventPublisher.Settings" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="URL" Src="~/controls/URLControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI.WebControls" TagPrefix="asp" %>
<%@ Register Src="Mapping.ascx" TagName="Mapping" TagPrefix="col" %>
<table class="Settings" cellspacing="2" cellpadding="2" width="560" summary="Edit"
    border="0">
    <tr>
        <td>
            <br />
            <dnn:SectionHead ID="dshIframe" runat="server" IsExpanded="true" IncludeRule="true"
                ResourceKey="dshIframe" Section="secIframe" CssClass="Head"></dnn:SectionHead>
        </td>
    </tr>
    <tr id="secIframe" runat="server">
        <td>
            <table>
                <tr>
                    <td class="SubHead">
                        <dnn:Label ID="plGoogleIframe" ResourceKey="plGoogleIframe" ControlName="txtIframe"
                            runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="txtIframe" runat="server" Width="400" Rows="4" TextMode="MultiLine" />
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <a href="http://www.google.com/calendar/embed/EmbedHelper_en.html" target="_blank"
                            class="CommandButton">
                            <asp:Label ID="lGetIframeLink" ResourceKey="lGetIframeLink" runat="server"> Get Google Text</asp:Label>
                        </a>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <br />
            <dnn:SectionHead ID="dshBaseTarget" runat="server" IsExpanded="true" IncludeRule="true"
                ResourceKey="dshBaseTarget" Section="secTarget" CssClass="Head"></dnn:SectionHead>
        </td>
    </tr>
    <tr id="secTarget" runat="server">
        <td>
            <table>
                <tr>
                    <td class="SubHead">
                        <dnn:Label ID="plUserName" ResourceKey="plUserName" ControlName="txtUserName" runat="server"
                            Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="txtUserName" runat="server" Width="300" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:Label ID="plPassword" ResourceKey="plPassword" ControlName="txtPassword" runat="server"
                            Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="txtPassword" runat="server" Width="300"  TextMode="Password" />
                    </td>
                </tr>
                </table>
        </td>
    </tr>
    <tr>
        <td>
            <br />
            <dnn:SectionHead ID="dshEventSources" runat="server" IsExpanded="true" IncludeRule="true"
                ResourceKey="dshEventSources" Section="secEventSources" CssClass="Head"></dnn:SectionHead>
        </td>
    </tr>
    <tr id="secEventSources" runat="server">
        <td colspan="2">
            <table width="100%">
                <tr>
                    <td>
                        <asp:GridView runat="server" ID="GridSources" AutoGenerateColumns="false" DataKeyNames="KeyID"
                            CssClass="normal" Width="100%">
                            <Columns>
                                <asp:TemplateField ItemStyle-Wrap="false">
                                    <ItemTemplate>
                                        <asp:ImageButton ID="cmdEditSource" runat="server" CausesValidation="false" CommandName="Edit"
                                            ImageUrl="~/images/edit.gif" AlternateText="Edit" resourcekey="cmdEdit"></asp:ImageButton>
                                        <asp:ImageButton ID="cmdDeleteSource" runat="server" CausesValidation="false" CommandName="Delete"
                                            ImageUrl="~/images/delete.gif" AlternateText="Delete" resourcekey="cmdDelete" />
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:ImageButton ID="cmdSaveSource" runat="server" CausesValidation="false" CommandName="Update"
                                            ImageUrl="~/images/save.gif" AlternateText="Save" resourcekey="Save" />
                                        <asp:ImageButton ID="cmdCancelSource" runat="server" CausesValidation="false" CommandName="Cancel"
                                            ImageUrl="~/images/cancel.gif" AlternateText="Cancel" resourcekey="cmdCancel" />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Context">
                                    <ItemTemplate>
                                        <asp:Label ID="lblContext" runat="server" Text='<%# Bind("Context") %>'></asp:Label>
                                        <input type="hidden" id="hiddenKeyId" runat="server" value='<%# Bind("KeyID") %>' />
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:TextBox ID="txtContext" runat="server" Text='<%# Bind("Context") %>'></asp:TextBox>
                                        <input type="hidden" id="hiddenKeyId" runat="server" value='<%# Bind("KeyID") %>' />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Calendar">
                                    <ItemTemplate>
                                        <asp:Label ID="lblCalendar" runat="server" Text='<%#  GoogleCalendars(ctype(DataBinder.Eval(Container.DataItem,"Google_Calendar_ID"),string)) %>'></asp:Label></ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:DropDownList ID="ddlCalendar" runat="server" DataSource='<%# Googlecalendars %>'
                                            DataTextField="Value" DataValueField="Key" SelectedValue='<%# Bind("Google_Calendar_ID") %>' />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Source Type">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSourceType" runat="server" Text='<%#  SourceTypes(ctype(DataBinder.Eval(Container.DataItem,"Source_Type"),string)) %>'></asp:Label>
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:DropDownList ID="ddlSourceType" runat="server" DataSource='<%# SourceTypes %>'
                                            DataTextField="Value" DataValueField="Key" SelectedValue='<%# Bind("Source_Type") %>' />
                                        <asp:LinkButton ID="cmdChangeSourceType" runat="server" Text="" CommandName="SourceTypeChanged" />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Active">
                                    <ItemTemplate>
                                        <asp:Image runat="server" ImageUrl='<%# IIf(DataBinder.Eval(Container.DataItem, "Active") = True, "~/images/checked.gif", "~/images/unchecked.gif") %>'
                                            ID="ActiveImage" AlternateText="Active state" />
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                        <asp:CheckBox runat="server" ID="chkActive" Checked='<%# DataBinder.Eval(Container.DataItem, "Active") %>' />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField>
                                    <ItemTemplate>
                                        <asp:LinkButton ID="cmdRun" runat="server" CausesValidation="false" CommandName="Run"
                                            CommandArgument='<%# Bind("KeyID") %>' Text="Run"></asp:LinkButton>
                                    </ItemTemplate>
                                    <EditItemTemplate>
                                    </EditItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
                <tr>
                    <td style="padding-top: 10px">
                        <asp:Panel ID="panFieldSettings" runat="server" Visible="false" Width="100%">
                            <fieldset>
                                <legend class="NormalBold">
                                    <asp:Label ID="lblAdvanceSourceSettings" runat="server" resourcekey="lblAdvanceSourceSettings"></asp:Label>-
                                </legend>
                                <table width="100%">
                                    <tr>
                                        <td>
                                            <dnn:SectionHead ID="dshSource" runat="server" IsExpanded="true" IncludeRule="true"
                                                ResourceKey="dshSource" Section="secSource" CssClass="subHead"></dnn:SectionHead>
                                        </td>
                                    </tr>
                                    <tr id="secSource" runat="server">
                                        <td>
                                            <asp:PlaceHolder ID="SourceSettingsPlaceHolder" runat="server"></asp:PlaceHolder>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                            <dnn:SectionHead ID="dshMapping" runat="server" IsExpanded="true" IncludeRule="true"
                                                ResourceKey="dshMapping" Section="secMapping" CssClass="subHead"></dnn:SectionHead>
                                        </td>
                                    </tr>
                                    <tr id="secMapping" runat="server">
                                        <td>
                                            <table class="normal">
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plID" ResourceKey="plID" ControlName="mapID" runat="server" Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapId" runat="server" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plStart" ResourceKey="plStart" ControlName="mapStart" runat="server"
                                                            Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapStart" runat="server" Type="DateTime" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plEnd" ResourceKey="plEnd" ControlName="mapEnd" runat="server" Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapEnd" runat="server" Type="DateTime" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plTitle" ResourceKey="plTitle" ControlName="mapTitle" runat="server"
                                                            Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapTitle" runat="server" Type="String" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plDescription" ResourceKey="plDescription" ControlName="mapContent"
                                                            runat="server" Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapContent" runat="server" Type="String" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plLocation" ResourceKey="plLocation" ControlName="mapLocation" runat="server"
                                                            Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapLocation" runat="server" Type="String" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="SubHead">
                                                        <dnn:Label ID="plAllDay" ResourceKey="plAllDay" ControlName="mapAllDay" runat="server"
                                                            Suffix=":" />
                                                    </td>
                                                    <td>
                                                        <col:Mapping ID="mapAllDay" runat="server" Type="Boolean" AlternateValues="True;False" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <asp:LinkButton class="CommandButton" ID="cmdStartMapping" runat="server" BorderStyle="none"
                                                            resourcekey="cmdStartMapping"></asp:LinkButton>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </asp:Panel>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:LinkButton class="CommandButton" ID="cmdAddSource" runat="server" Text="Add New Event Source"
                            BorderStyle="none" resourcekey="cmdAddSource"></asp:LinkButton>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<asp:LinkButton class="CommandButton" ID="cmdUpdate" runat="server" Text="Update"
    BorderStyle="none" resourcekey="cmdUpdate"></asp:LinkButton>&nbsp;
<asp:LinkButton class="CommandButton" ID="cmdCancel" runat="server" Text="Cancel"
    BorderStyle="none" resourcekey="cmdCancel" CausesValidation="False"></asp:LinkButton>
