﻿Imports DotNetNuke.UI.Skins
Imports DotNetNuke.UI.Skins.Controls
Imports DotNetNuke.UI.UserControls
Imports DotNetNuke.UI.Utilities

Namespace DGZfP.EventPublisher
    Partial Class SqlSetting
        Inherits SourceTypeSettings

        Public Property LocalResourceFile() As String
            Get
                Return Localization.GetResourceFile(Me, "Sql" + ASCXFileName)
            End Get
            Set(ByVal value As String)

            End Set
        End Property

        Public Overrides Property Source_Setting_100() As String
            Get
                Return txtConnectionString.Text
            End Get
            Set(ByVal value As String)
                txtConnectionString.Text = value
            End Set
        End Property

        Public Overrides Property Source_Setting_2000() As String
            Get
                Return txtQuery.Text
            End Get
            Set(ByVal value As String)
                txtQuery.Text = value
            End Set
        End Property

        Public Overrides Property Source_Setting_50a() As String
            Get
                Return rblDataSource.SelectedValue
            End Get
            Set(ByVal value As String)
                rblDataSource.SelectedValue = value
            End Set
        End Property

    End Class
End Namespace
